API referenceInboxes
Update a message
PATCH
/inboxes/{id}/messages/{messageId}Marks the message read or unread.
Authorization
apiKey AuthorizationBearer <token>
A project API key: Authorization: Bearer s0_…
In: header
Path Parameters
id*string
Length
1 <= length <= 64messageId*string
Length
1 <= length <= 64Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/inboxes/string/messages/string" \ -H "Content-Type: application/json" \ -d '{ "read": true }'{ "object": "message", "id": "string", "thread_id": "string", "inbox_id": "string", "direction": "inbound", "from": "string", "to": [ "string" ], "cc": [ "string" ], "reply_to": [ "string" ], "subject": "string", "message_id": "string", "in_reply_to": "string", "references": [ "string" ], "email_id": "string", "received_email_id": "string", "verdicts": { "spam": "string", "virus": "string", "spf": "string", "dkim": "string", "dmarc": "string" }, "read": true, "status": "received", "sent_at": "2019-08-24T14:15:22Z"}